qpid::framing::FileProperties Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::FileProperties Class Reference

`#include <qpid/framing/FileProperties.h>`

List of all members.

## Public Member Functions
| FileProperties (const std::string &_contentType, const std::string &_contentEncoding, const FieldTable &_headers, uint8_t _priority, const std::string &_replyTo, const std::string &_messageId, const std::string &_filename, uint64_t _timestamp, const std::string &_clusterId)
| FileProperties ()
void | setContentType (const std::string &_contentType)
const std::string & | getContentType () const
bool | hasContentType () const
void | clearContentTypeFlag ()
void | setContentEncoding (const std::string &_contentEncoding)
const std::string & | getContentEncoding () const
bool | hasContentEncoding () const
void | clearContentEncodingFlag ()
void | setHeaders (const FieldTable &_headers)
const FieldTable & | getHeaders () const
FieldTable & | getHeaders ()
bool | hasHeaders () const
void | clearHeadersFlag ()
void | setPriority (uint8_t _priority)
uint8_t | getPriority () const
bool | hasPriority () const
void | clearPriorityFlag ()
void | setReplyTo (const std::string &_replyTo)
const std::string & | getReplyTo () const
bool | hasReplyTo () const
void | clearReplyToFlag ()
void | setMessageId (const std::string &_messageId)
const std::string & | getMessageId () const
bool | hasMessageId () const
void | clearMessageIdFlag ()
void | setFilename (const std::string &_filename)
const std::string & | getFilename () const
bool | hasFilename () const
void | clearFilenameFlag ()
void | setTimestamp (uint64_t _timestamp)
uint64_t | getTimestamp () const
bool | hasTimestamp () const
void | clearTimestampFlag ()
void | setClusterId (const std::string &_clusterId)
const std::string & | getClusterId () const
bool | hasClusterId () const
void | clearClusterIdFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 2305
## Friends
std::ostream & | operator<< (std::ostream &, const FileProperties &)

## Constructor & Destructor Documentation

qpid::framing::FileProperties::FileProperties | ( | const std::string & | _contentType,
|  | const std::string & | _contentEncoding,
|  | const FieldTable & | _headers,
|  | uint8_t | _priority,
|  | const std::string & | _replyTo,
|  | const std::string & | _messageId,
|  | const std::string & | _filename,
|  | uint64_t | _timestamp,
|  | const std::string & | _clusterId
| ) |  | `[inline]`

Definition at line 51 of file FileProperties.h.

qpid::framing::FileProperties::FileProperties | ( |  | ) | `[inline]`

Definition at line 81 of file FileProperties.h.

## Member Function Documentation

uint32_t qpid::framing::FileProperties::bodySize | ( |  | ) | const

void qpid::framing::FileProperties::clearClusterIdFlag | ( |  | ) |

void qpid::framing::FileProperties::clearContentEncodingFlag | ( |  | ) |

void qpid::framing::FileProperties::clearContentTypeFlag | ( |  | ) |

void qpid::framing::FileProperties::clearFilenameFlag | ( |  | ) |

void qpid::framing::FileProperties::clearHeadersFlag | ( |  | ) |

void qpid::framing::FileProperties::clearMessageIdFlag | ( |  | ) |

void qpid::framing::FileProperties::clearPriorityFlag | ( |  | ) |

void qpid::framing::FileProperties::clearReplyToFlag | ( |  | ) |

void qpid::framing::FileProperties::clearTimestampFlag | ( |  | ) |

void qpid::framing::FileProperties::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::FileProperties::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::FileProperties::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::FileProperties::encodedSize | ( |  | ) | const

void qpid::framing::FileProperties::encodeStructBody | ( | Buffer & |  | ) | const

const std::string& qpid::framing::FileProperties::getClusterId | ( |  | ) | const

const std::string& qpid::framing::FileProperties::getContentEncoding | ( |  | ) | const

const std::string& qpid::framing::FileProperties::getContentType | ( |  | ) | const

const std::string& qpid::framing::FileProperties::getFilename | ( |  | ) | const

const FieldTable& qpid::framing::FileProperties::getHeaders | ( |  | ) | const

FieldTable& qpid::framing::FileProperties::getHeaders | ( |  | ) |

const std::string& qpid::framing::FileProperties::getMessageId | ( |  | ) | const

uint8_t qpid::framing::FileProperties::getPriority | ( |  | ) | const

const std::string& qpid::framing::FileProperties::getReplyTo | ( |  | ) | const

uint64_t qpid::framing::FileProperties::getTimestamp | ( |  | ) | const

bool qpid::framing::FileProperties::hasClusterId | ( |  | ) | const

bool qpid::framing::FileProperties::hasContentEncoding | ( |  | ) | const

bool qpid::framing::FileProperties::hasContentType | ( |  | ) | const

bool qpid::framing::FileProperties::hasFilename | ( |  | ) | const

bool qpid::framing::FileProperties::hasHeaders | ( |  | ) | const

bool qpid::framing::FileProperties::hasMessageId | ( |  | ) | const

bool qpid::framing::FileProperties::hasPriority | ( |  | ) | const

bool qpid::framing::FileProperties::hasReplyTo | ( |  | ) | const

bool qpid::framing::FileProperties::hasTimestamp | ( |  | ) | const

void qpid::framing::FileProperties::print | ( | std::ostream & | out | ) | const

void qpid::framing::FileProperties::setClusterId | ( | const std::string & | _clusterId | ) |

void qpid::framing::FileProperties::setContentEncoding | ( | const std::string & | _contentEncoding | ) |

void qpid::framing::FileProperties::setContentType | ( | const std::string & | _contentType | ) |

void qpid::framing::FileProperties::setFilename | ( | const std::string & | _filename | ) |

void qpid::framing::FileProperties::setHeaders | ( | const FieldTable & | _headers | ) |

void qpid::framing::FileProperties::setMessageId | ( | const std::string & | _messageId | ) |

void qpid::framing::FileProperties::setPriority | ( | uint8_t | _priority | ) |

void qpid::framing::FileProperties::setReplyTo | ( | const std::string & | _replyTo | ) |

void qpid::framing::FileProperties::setTimestamp | ( | uint64_t | _timestamp | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const FileProperties & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::FileProperties::TYPE = 2305`[static]`

Definition at line 50 of file FileProperties.h.

The documentation for this class was generated from the following file:

- qpid/framing/FileProperties.h